Page MenuHomePhabricator

[TargetParser][ARM] Account dependencies when processing target features
ClosedPublic

Authored by labrinea on Jul 1 2019, 5:04 PM.

Details

Summary

Teaches ARM::appendArchExtFeatures to account dependencies when processing target features: i.e. when you say -march=armv8.1-m.main+mve.fp+nofp it means mve.fp should get discarded too. (Split from D63936)

Diff Detail

Repository
rL LLVM

Event Timeline

labrinea created this revision.Jul 1 2019, 5:04 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 1 2019, 5:04 PM
This revision is now accepted and ready to land.Jul 3 2019, 2:14 AM
labrinea updated this revision to Diff 208010.Jul 4 2019, 3:28 AM

Added the dependency of mve on dsp and some missing tests to cover those cases.

labrinea requested review of this revision.Jul 4 2019, 7:55 AM
ostannard accepted this revision.Jul 8 2019, 5:37 AM
This revision is now accepted and ready to land.Jul 8 2019, 5:37 AM
This revision was automatically updated to reflect the committed changes.